Bug 6402 - Lists sorted by year appear to be empty
Summary: Lists sorted by year appear to be empty
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/opac-shelves.pl?viewshe...
Whiteboard:
Keywords:
Depends on:
Blocks: 3229
  Show dependency treegraph
 
Reported: 2011-05-24 16:10 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed fix (1.48 KB, patch)
2011-05-24 16:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Signed off patch (1.55 KB, patch)
2011-05-25 06:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-05-24 16:10:14 UTC
If you create a list, populate it with titles, and then change the sort to "year" it will appear as if your list is empty. The SQL in VirtualShelves.pm's GetShelfContents tries to accept "year" as a sort by but 'year' is not a valid column name.
Comment 1 Owen Leonard 2011-05-24 16:13:20 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-05-25 06:18:02 UTC
Created attachment 4254 [details] [review]
Signed off patch
Comment 3 Chris Cormack 2011-06-10 00:17:05 UTC
Easy to test fix, pushed please test on master
Comment 4 Owen Leonard 2011-10-27 20:13:23 UTC
This is fixed as far as making the list display, but at least with my data the sort doesn't actually work: It's trying to sort by biblioitems.publicationyear. biblioitems.publicationyear is empty because in the default MARC21 mapping publicationyear isn't mapped to anything.
Comment 5 Chris Hall 2012-06-27 01:39:36 UTC
I have uploaded a possible fix for Owen's bug to bug8323